
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.back{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.game-board{
    width: 100%;
    height: 500px;
    border-bottom: 15px solid rgb(35, 160, 35);
    margin: 0 auto;
    position: relative;
    overflow: hidden;
    background: linear-gradient(#87CEEB, #E0F6FF);
}

.cano{
    position: absolute;
    bottom: 0;
    width: 90px;
    animation: cano-animation 1.5s infinite linear;
    will-change: transform;
}

.mario{
    width: 130px;
    bottom: 0;
    position: absolute;
    will-change: bottom;
}

.jump{
    animation: jump 600ms ease-out;
}

.nuvem{
    width: 650px;
    height: 200px;
    position: absolute;
    animation: nuvem-animation 15s infinite linear;
}

.contador{
    font-size: 100px;
    font-weight: bold;
    color: rgb(119, 240, 12);
    text-align: center;
}

.botao1{
    display: none;
    width: 400;
    height: 50px;
    position: absolute;
    padding: 10px;
    font-weight: bold;
    top: 50%;
    left: 47%;   
    background-color: crimson;
    color: aliceblue; 
    border-radius: 10%;
}

@keyframes cano-animation {
    from {
        right: -80px;
    }

    to{
        right: 100%;
    }
}

@keyframes jump {
    0% {
        bottom: 0;
    }

  
    40% {
        bottom: 145px;
    }


    50% {
        bottom: 145px;
    }

    60%{
        bottom: 145px;
    }

    100% {
        bottom: 0;
    }
}

@keyframes nuvem-animation {
    from{
        right: -650px; 
    }

    to {
        right: 100%;
    }
}
